<?php
/**
 * Theme Customizer - Presets
 *
 * @package Selleradise
 */

namespace Selleradise\Api\Customizer;

use Kirki;
use Selleradise\Api\Customizer;

/**
 * Customizer class
 */
class Blog
{
    /**
     * register default hooks and actions for WordPress
     * @return
     */
    public function register()
    {

        if (!class_exists('Kirki') || !class_exists('WooCommerce')) {
            return;
        }

        if (!is_customize_preview()) {
            return;
        }

        Kirki::add_section('blog', array(
            'title' => esc_html__('Blog', 'selleradise'),
            'description' => esc_html__('Settings related to blog.', 'selleradise'),
            'priority' => 40,
        ));

        // <REMOVE_IN_LITE>

        Kirki::add_field('selleradise', [
            'type' => 'radio',
            'settings' => 'blog_card_type',
            'label' => __('Card Type', 'selleradise'),
            'description' => esc_html__('Select a type of blog card.', 'selleradise'),
            'section' => 'blog',
            'default' => 'default',
            'choices' => [
                'default' => esc_html__('Default', 'selleradise'),
                'popular' => esc_html__('Popular', 'selleradise'),
                'minimal' => esc_html__('Minimal', 'selleradise'),
                'text' => esc_html__('Text Only', 'selleradise'),
                'list' => esc_html__('List', 'selleradise'),
            ],
            'transport' => 'refresh',
        ]);

        // </REMOVE_IN_LITE>

    }
}
