<?php

/**
 * Theme Customizer - Header
 *
 * @package Selleradise
 */

namespace Selleradise\Api\Customizer;

use Kirki;
use Selleradise\Api\Customizer;

/**
 * Customizer class
 */
class Footer
{
    /**
     * register default hooks and actions for WordPress
     * @return
     */
    public function register()
    {

        if (!class_exists('Kirki')) {
            return;
        }

        if (!is_customize_preview()) {
            return;
        }

        Kirki::add_section('selleradise_footer', array(
            'title' => esc_html__('Footer', 'selleradise'),
            'description' => esc_html__('Settings for footer section.', 'selleradise'),
            'priority' => 30,
        ));

        Kirki::add_field('selleradise', [
            'type' => 'radio',
            'settings' => 'footer_type',
            'label' => __('Footer Type', 'selleradise'),
            'description' => esc_html__('Select the type of footer.', 'selleradise'),
            'section' => 'selleradise_footer',
            'default' => 'default',
            'choices' => [
                'default' => esc_html__('Default', 'selleradise'),
                'minimal' => esc_html__('Minimal', 'selleradise'),
            ],
            'transport' => 'refresh',
        ]);

        Kirki::add_field('selleradise', [
            'type' => 'text',
            'settings' => 'copyright_notice',
            'label' => esc_html__('Copyright notice', 'selleradise'),
            'section' => 'selleradise_footer',
            'default' => sprintf(esc_html__( 'Copyright © %1$s | All rights reserved by %2$s', 'selleradise' ), date("Y"), get_bloginfo("name")),
        ]);

        Kirki::add_field('selleradise', [
            'type' => 'checkbox',
            'settings' => 'disable_back_to_top',
            'label' => esc_html__('Disable back to top button?', 'selleradise'),
            'section' => 'selleradise_footer',
            'default' => false,
        ]);

    }
}
